Package Gnumed :: Package wxpython :: Module gmDemographicsWidgets :: Class cPersonIdentityManagerPnl |
[frames] | no frames]

# Class cPersonIdentityManagerPnl

source code

                                                     wx.ScrolledWindow --+
                                                                         |
    wxGladeWidgets.wxgPersonIdentityManagerPnl.wxgPersonIdentityManagerPnl --+
                                                                             |
                                                                            cPersonIdentityManagerPnl

    A panel for editing identity data for a person.

    - provides access to:
      - identity EA
      - name list manager
      - external IDs list manager

    Does NOT act on/listen to the current patient.

Instance Methods
__init__(self, *args, **kwargs) | source code
refresh(self) | source code

Class Variables
| identity = `property(_get_identity, _set_identity)`

Method Details

### __init__(self, *args, **kwargs) (Constructor) | source code
Overrides: wxGladeWidgets.wxgPersonIdentityManagerPnl.wxgPersonIdentityManagerPnl.__init__